/*
 * This file is generated by jOOQ.
 */
package com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records;


import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.AnagDsp;

import javax.annotation.Generated;

import org.jooq.Field;
import org.jooq.Record1;
import org.jooq.Record5;
import org.jooq.Row5;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.11.9"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class AnagDspRecord extends UpdatableRecordImpl<AnagDspRecord> implements Record5<String, String, String, String, String> {

    private static final long serialVersionUID = -2004884470;

    /**
     * Setter for <code>ANAG_DSP.IDDSP</code>.
     */
    public void setIddsp(String value) {
        set(0, value);
    }

    /**
     * Getter for <code>ANAG_DSP.IDDSP</code>.
     */
    public String getIddsp() {
        return (String) get(0);
    }

    /**
     * Setter for <code>ANAG_DSP.CODE</code>.
     */
    public void setCode(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>ANAG_DSP.CODE</code>.
     */
    public String getCode() {
        return (String) get(1);
    }

    /**
     * Setter for <code>ANAG_DSP.NAME</code>.
     */
    public void setName(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>ANAG_DSP.NAME</code>.
     */
    public String getName() {
        return (String) get(2);
    }

    /**
     * Setter for <code>ANAG_DSP.DESCRIPTION</code>.
     */
    public void setDescription(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>ANAG_DSP.DESCRIPTION</code>.
     */
    public String getDescription() {
        return (String) get(3);
    }

    /**
     * Setter for <code>ANAG_DSP.FTP_SOURCE_PATH</code>.
     */
    public void setFtpSourcePath(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>ANAG_DSP.FTP_SOURCE_PATH</code>.
     */
    public String getFtpSourcePath() {
        return (String) get(4);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Record1<String> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Record5 type implementation
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Row5<String, String, String, String, String> fieldsRow() {
        return (Row5) super.fieldsRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Row5<String, String, String, String, String> valuesRow() {
        return (Row5) super.valuesRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field1() {
        return AnagDsp.ANAG_DSP.IDDSP;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field2() {
        return AnagDsp.ANAG_DSP.CODE;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field3() {
        return AnagDsp.ANAG_DSP.NAME;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field4() {
        return AnagDsp.ANAG_DSP.DESCRIPTION;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field5() {
        return AnagDsp.ANAG_DSP.FTP_SOURCE_PATH;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component1() {
        return getIddsp();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component2() {
        return getCode();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component3() {
        return getName();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component4() {
        return getDescription();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component5() {
        return getFtpSourcePath();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value1() {
        return getIddsp();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value2() {
        return getCode();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value3() {
        return getName();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value4() {
        return getDescription();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value5() {
        return getFtpSourcePath();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public AnagDspRecord value1(String value) {
        setIddsp(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public AnagDspRecord value2(String value) {
        setCode(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public AnagDspRecord value3(String value) {
        setName(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public AnagDspRecord value4(String value) {
        setDescription(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public AnagDspRecord value5(String value) {
        setFtpSourcePath(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public AnagDspRecord values(String value1, String value2, String value3, String value4, String value5) {
        value1(value1);
        value2(value2);
        value3(value3);
        value4(value4);
        value5(value5);
        return this;
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached AnagDspRecord
     */
    public AnagDspRecord() {
        super(AnagDsp.ANAG_DSP);
    }

    /**
     * Create a detached, initialised AnagDspRecord
     */
    public AnagDspRecord(String iddsp, String code, String name, String description, String ftpSourcePath) {
        super(AnagDsp.ANAG_DSP);

        set(0, iddsp);
        set(1, code);
        set(2, name);
        set(3, description);
        set(4, ftpSourcePath);
    }
}
